import { AfterViewInit, EventEmitter, OnChanges, QueryList, SimpleChanges } from '@angular/core';
import { WalkthroughTextI } from './walkthrough-text';
import { WalkthroughEvent } from './walkthrough-tools';
import { WalkthroughComponent } from './walkthrough.component';
import * as i0 from "@angular/core";
export declare class WalkthroughFlowComponent implements AfterViewInit, OnChanges {
    walkthroughComponents: QueryList<WalkthroughComponent>;
    get id(): string;
    set id(value: string);
    closed: EventEmitter<boolean>;
    finished: EventEmitter<WalkthroughEvent>;
    contentStyle: 'none' | 'darken';
    arrowColor: string;
    marginZone: string | null;
    showArrow: string | boolean;
    rootElement: string;
    closeButton: string | boolean;
    closeAnywhere: string | boolean;
    finishButton: string | boolean;
    hidePrevious: string | boolean;
    focusBackdrop: string | boolean;
    focusGlow: string | boolean;
    radius: string;
    notScrollOnResize: string | boolean;
    texts: WalkthroughTextI;
    observerOptions: MutationObserverInit;
    private _id;
    private _uid;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    init(): void;
    start(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WalkthroughFlowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WalkthroughFlowComponent, "ng-walkthrough-flow", never, { "id": { "alias": "id"; "required": false; }; "contentStyle": { "alias": "contentStyle"; "required": false; }; "arrowColor": { "alias": "arrowColor"; "required": false; }; "marginZone": { "alias": "marginZone"; "required": false; }; "showArrow": { "alias": "showArrow"; "required": false; }; "rootElement": { "alias": "rootElement"; "required": false; }; "closeButton": { "alias": "closeButton"; "required": false; }; "closeAnywhere": { "alias": "closeAnywhere"; "required": false; }; "finishButton": { "alias": "finishButton"; "required": false; }; "hidePrevious": { "alias": "hidePrevious"; "required": false; }; "focusBackdrop": { "alias": "focusBackdrop"; "required": false; }; "focusGlow": { "alias": "focusGlow"; "required": false; }; "radius": { "alias": "radius"; "required": false; }; "notScrollOnResize": { "alias": "notScrollOnResize"; "required": false; }; "texts": { "alias": "texts"; "required": false; }; "observerOptions": { "alias": "observerOptions"; "required": false; }; }, { "closed": "closed"; "finished": "finished"; }, ["walkthroughComponents"], never, false, never>;
}
//# sourceMappingURL=walkthrough-flow.component.d.ts.map