import { WalkthroughElementCoordinate, WalkthroughMargin } from './walkthrough-tools';
import * as i0 from "@angular/core";
export declare class WalkthroughService {
    private _overflowRegex;
    retrieveCoordinates(element: HTMLElement, margin?: WalkthroughMargin): WalkthroughElementCoordinate;
    getTop(): number;
    getLeft(): number;
    getDocumentHeight(): number;
    scrollIntoViewIfOutOfView(element: HTMLElement): void;
    getScrollParent(element: HTMLElement): HTMLElement;
    getHeightOfPage(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<WalkthroughService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WalkthroughService>;
}
//# sourceMappingURL=walkthrough.service.d.ts.map